GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Fields
grpc_call Struct Reference

## Data Fields
grpc_completion_queue * | cq
grpc_channel * | channel
grpc_mdctx * | metadata_context
gpr_mu | mu
gpr_mu | completion_mu
read_state | read_state
write_state | write_state
gpr_uint8 | is_client
gpr_uint8 | have_alarm
gpr_uint8 | sending
gpr_uint8 | receiving
gpr_uint8 | completing
gpr_uint8 | destroy_called
| has grpc_call_destroy been called More...
gpr_uint8 | num_completed_requests
gpr_uint8 | reading_message
gpr_uint8 | bound_pollset
gpr_uint8 | error_status_set
gpr_uint8 | cancel_alarm
| should the alarm be cancelled More...
gpr_uint8 | allocated_completions
| bitmask of allocated completion events in completions More...
gpr_uint16 | last_send_contains
grpc_status_code | cancel_with_status
gpr_uint8 | request_set [GRPC_IOREQ_OP_COUNT]
grpc_ioreq_data | request_data [GRPC_IOREQ_OP_COUNT]
gpr_uint32 | request_flags [GRPC_IOREQ_OP_COUNT]
reqinfo_master | masters [GRPC_IOREQ_OP_COUNT]
completed_request | completed_requests [GRPC_IOREQ_OP_COUNT]
grpc_byte_buffer_queue | incoming_queue
grpc_metadata_array | buffered_metadata [2]
grpc_mdelem ** | owned_metadata
size_t | owned_metadata_count
size_t | owned_metadata_capacity
received_status | status [STATUS_SOURCE_COUNT]
grpc_compression_algorithm | compression_algorithm
grpc_call_context_element | context [GRPC_CONTEXT_COUNT]
grpc_alarm | alarm
gpr_refcount | internal_refcount
grpc_linked_mdelem | send_initial_metadata [3]
grpc_linked_mdelem | status_link
grpc_linked_mdelem | details_link
size_t | send_initial_metadata_count
gpr_timespec | send_deadline
grpc_stream_op_buffer | send_ops
grpc_stream_op_buffer | recv_ops
grpc_stream_state | recv_state
gpr_slice_buffer | incoming_message
gpr_uint32 | incoming_message_length
gpr_uint32 | incoming_message_flags
grpc_iomgr_closure | destroy_closure
grpc_iomgr_closure | on_done_recv
grpc_iomgr_closure | on_done_send
grpc_iomgr_closure | on_done_bind
grpc_cq_completion | completions [6]
| completion events - for completion queue use More...

## Field Documentation

grpc_alarm grpc_call::alarm

gpr_uint8 grpc_call::allocated_completions

bitmask of allocated completion events in completions

gpr_uint8 grpc_call::bound_pollset

grpc_metadata_array grpc_call::buffered_metadata[2]

gpr_uint8 grpc_call::cancel_alarm

should the alarm be cancelled

grpc_status_code grpc_call::cancel_with_status

grpc_channel* grpc_call::channel

completed_request grpc_call::completed_requests[GRPC_IOREQ_OP_COUNT]

gpr_uint8 grpc_call::completing

gpr_mu grpc_call::completion_mu

grpc_cq_completion grpc_call::completions[6]

completion events - for completion queue use

grpc_compression_algorithm grpc_call::compression_algorithm

grpc_call_context_element grpc_call::context[GRPC_CONTEXT_COUNT]

grpc_completion_queue* grpc_call::cq

gpr_uint8 grpc_call::destroy_called

has grpc_call_destroy been called

grpc_iomgr_closure grpc_call::destroy_closure

grpc_linked_mdelem grpc_call::details_link

gpr_uint8 grpc_call::error_status_set

gpr_uint8 grpc_call::have_alarm

gpr_slice_buffer grpc_call::incoming_message

gpr_uint32 grpc_call::incoming_message_flags

gpr_uint32 grpc_call::incoming_message_length

grpc_byte_buffer_queue grpc_call::incoming_queue

gpr_refcount grpc_call::internal_refcount

gpr_uint8 grpc_call::is_client

gpr_uint16 grpc_call::last_send_contains

reqinfo_master grpc_call::masters[GRPC_IOREQ_OP_COUNT]

grpc_mdctx* grpc_call::metadata_context

gpr_mu grpc_call::mu

gpr_uint8 grpc_call::num_completed_requests

grpc_iomgr_closure grpc_call::on_done_bind

grpc_iomgr_closure grpc_call::on_done_recv

grpc_iomgr_closure grpc_call::on_done_send

grpc_mdelem** grpc_call::owned_metadata

size_t grpc_call::owned_metadata_capacity

size_t grpc_call::owned_metadata_count

read_state grpc_call::read_state

gpr_uint8 grpc_call::reading_message

gpr_uint8 grpc_call::receiving

grpc_stream_op_buffer grpc_call::recv_ops

grpc_stream_state grpc_call::recv_state

grpc_ioreq_data grpc_call::request_data[GRPC_IOREQ_OP_COUNT]

gpr_uint32 grpc_call::request_flags[GRPC_IOREQ_OP_COUNT]

gpr_uint8 grpc_call::request_set[GRPC_IOREQ_OP_COUNT]

gpr_timespec grpc_call::send_deadline

grpc_linked_mdelem grpc_call::send_initial_metadata[3]

size_t grpc_call::send_initial_metadata_count

grpc_stream_op_buffer grpc_call::send_ops

gpr_uint8 grpc_call::sending

received_status grpc_call::status[STATUS_SOURCE_COUNT]

grpc_linked_mdelem grpc_call::status_link

write_state grpc_call::write_state

The documentation for this struct was generated from the following file:

- src/core/surface/call.c